Subject: Re: bug#16493: 24.3.50; (setq search-invisible t) is useless, let's allow to turn visible-mode temporarily on

From: Juri Linkov <[email-masked]>
Date: Sun, 09 Nov 2014 21:30:42 +0200

>> We lack a way to reveal truly invisible text when performing a search
>> and replace.  The URL of a bracket link in Org is an example of such
>> truly invisible text.
>
> What do you mean by "truly invisible"?  Does that refer to text that's
> marked with an `invisible' text-property (as opposed to an overlay with
> that property)?

I guess Bastien meant toggling the value of `buffer-invisibility-spec'
while isearch is active.  Let's wait for Bastien to confirm this.

It's the problem indeed that isearch doesn't match such invisible text
but query-replace matches and replaces it.